/* Estilos Header Hamburguesa */
.header-hamburguesa {
    height: 120px;
}

@media(min-width: 970px) {
    .header-hamburguesa {
        display: none;
    }
}

.navbar-hamburguesa {
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    position: relative;
    padding: 0 3rem;
    background-color: transparent;
}

.menu-hamburguesa {
    display: none;
}

.menu-hamburguesa:checked+.ul-links {
    height: calc(100dvh - 149px);
}

.imagen-header-hamburguesa {
    width: 160px;
    height: auto;
}

.label-hamburguesa {}

.list-icon {
    cursor: pointer;
    color: var(--color-blanco);
}

.ul-links {
    width: 100%;
    background: #62AEF3;
    background: radial-gradient(circle,rgba(98, 174, 243, 1) 0%, rgba(17, 125, 222, 1) 100%);
    border-bottom: 1px solid var(--color-azul);
    position: absolute;
    top: 120px;
    left: 0;
    height: 0;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 1000;
    gap: 2.5rem;
    transition: all .3s;
}

.li-links {}

.link {
    font-size: 3.5rem;
    color: var(--color-blanco);
    font-family: var(--fuente-sora-medium);
    gap: 2rem;
}

/* Estilos Menu Principal */

.contenedor-principal-hero {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 0 0 5rem 0;
    border-radius: 0 0 100px 100px;
}

.contenedor-menu-principal{
    display: none;
}

@media(min-width: 970px) {
    .contenedor-menu-principal {
        display: block;
    }

    .contenedor-principal-hero {
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        padding: 5rem 0;
        border-radius: 0 0 100px 100px;
    }

}

.contenedor-informacion-menu-principal{
    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.imagen-header {
    width: 180px;
    height: auto;
}
.ul-links-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 8rem;
    padding-left: 10%;
}
.li-links-header a{
    position: relative;
    display: inline-block;
    font-size: clamp(1.6rem, 5vw, 1.6rem);
    font-family: var(--fuente-sora-medium);
    color: var(--color-blanco);
    text-decoration: none;
    padding-bottom: .5rem;
    transition: color .35s ease;
}
/* Línea animada debajo del enlace */
.li-links-header a::after{
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: var(--color-amarillo);

    transform: scaleX(0);
    transform-origin: left;
    transition: transform .35s ease;
}

/* Hover */
.li-links-header a:hover{
    color: var(--color-amarillo);
}

.li-links-header a:hover::after{
    transform: scaleX(1);
}
.contenedor-division-seccion-hero{
    display: flex;
    flex-direction: row;
    padding: 10rem 0;
}

.division-seccion-hero {
}

.division-seccion-hero h1{
    font-size: clamp(3rem, 5vw, 3.8rem);
    font-family: var(--fuente-sora-extraLight);
    color: var(--color-blanco);
    margin-top: 0;
    margin-bottom: 1.5rem;
    line-height: 1.25;
}

.division-seccion-hero h2{
    font-size: clamp(1.6rem, 5vw, 1.6rem);
    font-family: var(--fuente-sora-extraLight);
    color: var(--color-blanco);
    line-height: 1.6;
    margin-top: 0;
    margin-bottom: 2rem;
}

.division-seccion-hero a{
    margin-top: 5rem;
}

.division-seccion-hero a button{
    position: relative;
    overflow: hidden;
    z-index: 1;
    cursor: pointer;
    font-size: clamp(2.2rem, 5vw, 2.6rem);
    background-color: var(--color-amarillo);
    font-family: var(--fuente-sora-regular);
    color: var(--color-azul);
    padding: 0.5rem 2rem;
    border-radius: 5px;
    border: none;

    transition: color .35s ease, transform .35s ease;
}

.division-seccion-hero a button::before{
    content: "";
    position: absolute;
    inset: 0;
    background-color: var(--color-azul);
    border: 2px solid var(--color-blanco);
    transform: scaleX(0);
    transform-origin: left;
    transition: transform .35s ease;
    z-index: -1;
    border-radius: 5px;
}

.division-seccion-hero a button:hover{
    color: var(--color-blanco);
    transform: translateY(-3px);
}

.division-seccion-hero a button:hover::before{
    transform: scaleX(1);
}